org.scalatest.FlatSpec

# InAndIgnoreMethods

#### class InAndIgnoreMethods extends AnyRef

Class that supports test registration in shorthand form.

For example, this class enables syntax such as the following test registration in shorthand form:

    "A Stack (when empty)" should "be empty" in { ... }
                                             ^

This class also enables syntax such as the following ignored test registration in shorthand form:

    "A Stack (when empty)" should "be empty" ignore { ... }
                                             ^

This class is used via an implicit conversion (named `convertToInAndIgnoreMethods`) from `ResultOfStringPassedToVerb`. The `ResultOfStringPassedToVerb` class does not declare any methods named `in`, because the type passed to `in` differs in a `FlatSpec` and a `FixtureFlatSpec`. A `FixtureFlatSpec` needs two `in` methods, one that takes a no-arg test function and another that takes a one-arg test function (a test that takes a `Fixture` as its parameter). By constrast, a `FlatSpec` needs only one `in` method that takes a by-name parameter. As a result, `FlatSpec` and `FixtureFlatSpec` each provide an implicit conversion from `ResultOfStringPassedToVerb` to a type that provides the appropriate `in` methods.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. InAndIgnoreMethods
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new InAndIgnoreMethods (resultOfStringPassedToVerb: ResultOfStringPassedToVerb)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def ignore (testFun: ⇒ Unit): Unit

    Supports the registration of ignored tests in shorthand form.

    Supports the registration of ignored tests in shorthand form.

    This method supports syntax such as the following:

        "A Stack" must "pop values in last-in-first-out order" ignore { ... }
                                                               ^

    For examples of ignored test registration, see the Ignored tests section in the main documentation for trait `FlatSpec`.

14. #### def in (testFun: ⇒ Unit): Unit

    Supports the registration of tests in shorthand form.

    Supports the registration of tests in shorthand form.

    This method supports syntax such as the following:

        "A Stack" must "pop values in last-in-first-out order" in { ... }
                                                               ^

    For examples of test registration, see the main documentation for trait `FlatSpec`.

15. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

16. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def toString (): String

    Definition Classes
      AnyRef → Any

21. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

22. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any